% FEEC/Unicamp
% 28/05/2017
% Auxiliary functions
% factiv.m / calcv.m / calcc.m
%
function [v,c] = itervf(v,c,u,X,threshold2,j)
P = length(c);
y = factiv(X*v,c);
beta1 = 0;
beta2 = (y'*u)^2/(y'*y);
SC = abs(beta2-beta1)/beta2;
beta1 = beta2;
disp(sprintf('%d Initial=%g',j,beta2));
iter = 0;
while SC > threshold2 & beta2 < 1 & iter < 3,
	iter = iter+1;
	v = calcv(v,c,u,X);
	c = calcc(X*v,u,P);
	y = factiv(X*v,c);
	beta2 = (y'*u)^2/(y'*y);
	disp(sprintf('%d Final=%g',j,beta2));
	SC = abs(beta2-beta1)/beta2;
	beta1 = beta2;
end
