% FEEC/Unicamp
% 28/05/2017
% Initial direction of projection: definition of candidates
%
function [v] = calcvi(m)
%
% Uniformly distributed directions
step = 0.4;
ind = 0;
if m == 1,
	v = 1;
elseif m == 2,
	for x1=-1:step:1,
		a1 = x1^2;
		if a1 == 1,
			ind = ind+1;v(:,ind) = [x1;0];
		else
			ind = ind+1;v(:,ind) = [x1;-sqrt(1-a1)];
			ind = ind+1;v(:,ind) = [x1;sqrt(1-a1)];
		end
	end
elseif m == 3,
	for x1=-1:step:1,
		a1 = x1^2;
		for x2=-sqrt(1-a1):step:sqrt(1-a1),
			a2 = a1+x2^2;
			if a2 == 1,
				ind = ind+1;v(:,ind) = [x1;x2;0];
			else
				ind = ind+1;v(:,ind) = [x1;x2;-sqrt(1-a2)];
				ind = ind+1;v(:,ind) = [x1;x2;sqrt(1-a2)];
			end
		end
	end
elseif m == 4,
	for x1=-1:step:1,
		a1 = x1^2;
		for x2=-sqrt(1-a1):step:sqrt(1-a1),
			a2 = a1+x2^2;
			for x3=-sqrt(1-a2):step:sqrt(1-a2),
				a3 = a2+x3^2;
				if a3 == 1,
					ind = ind+1;v(:,ind) = [x1;x2;x3;0];
				else
					ind = ind+1;v(:,ind) = [x1;x2;x3;-sqrt(1-a3)];
					ind = ind+1;v(:,ind) = [x1;x2;x3;sqrt(1-a3)];
				end
			end
		end
	end
elseif m == 5,
	for x1=-1:step:1,
		a1 = x1^2;
		for x2=-sqrt(1-a1):step:sqrt(1-a1),
			a2 = a1+x2^2;
			for x3=-sqrt(1-a2):step:sqrt(1-a2),
				a3 = a2+x3^2;
				for x4=-sqrt(1-a3):step:sqrt(1-a3),
					a4 = a3+x4^2;
					if a4 == 1,
						ind = ind+1;v(:,ind) = [x1;x2;x3;x4;0];
					else
						ind = ind+1;v(:,ind) = [x1;x2;x3;x4;-sqrt(1-a4)];
						ind = ind+1;v(:,ind) = [x1;x2;x3;x4;sqrt(1-a4)];
					end
				end
			end
		end
	end
elseif m == 6,
	for x1=-1:step:1,
		a1 = x1^2;
		for x2=-sqrt(1-a1):step:sqrt(1-a1),
			a2 = a1+x2^2;
			for x3=-sqrt(1-a2):step:sqrt(1-a2),
				a3 = a2+x3^2;
				for x4=-sqrt(1-a3):step:sqrt(1-a3),
					a4 = a3+x4^2;
					for x5=-sqrt(1-a4):step:sqrt(1-a4),
						a5 = a4+x5^2;
						if a5 == 1,
							ind = ind+1;v(:,ind) = [x1;x2;x3;x4;x5;0];
						else
							ind = ind+1;v(:,ind) = [x1;x2;x3;x4;x5;-sqrt(1-a5)];
							ind = ind+1;v(:,ind) = [x1;x2;x3;x4;x5;sqrt(1-a5)];
						end
					end
				end
			end
		end
	end
elseif m == 7,
	for x1=-1:step:1,
		a1 = x1^2;
		for x2=-sqrt(1-a1):step:sqrt(1-a1),
			a2 = a1+x2^2;
			for x3=-sqrt(1-a2):step:sqrt(1-a2),
				a3 = a2+x3^2;
				for x4=-sqrt(1-a3):step:sqrt(1-a3),
					a4 = a3+x4^2;
					for x5=-sqrt(1-a4):step:sqrt(1-a4),
						a5 = a4+x5^2;
						for x6=-sqrt(1-a5):step:sqrt(1-a5),
							a6 = a5+x6^2;
							if a6 == 1,
								ind = ind+1;v(:,ind) = [x1;x2;x3;x4;x5;x6;0];
							else
								ind = ind+1;v(:,ind) = [x1;x2;x3;x4;x5;x6;-sqrt(1-a6)];
								ind = ind+1;v(:,ind) = [x1;x2;x3;x4;x5;x6;sqrt(1-a6)];
							end
						end
					end
				end
			end
		end
	end
elseif m > 7,
	error('Number of inputs has to be <= 7.');
end
disp('Number of candidate directions');disp(ind);
