% FEEC/Unicamp
% 28/05/2017
% Program responsible for showing the spatial disposition of directions in a plane
% Useful solely for functions such that f: R^2 -> R
%
clear;close all;
load vv;
for j=1:length(v(1,:)),
	ang = atan(v(2,j)/v(1,j));
	x(j,1) = cos(ang);
	x(j,2) = -x(j,1);
	y(j,1) = sin(ang);
	y(j,2) = -y(j,1);
end
% axis off;
for j=1:length(v(1,:)),
	plot(x(j,:),y(j,:));hold on;
    text(x(j,1),y(j,1),sprintf('%d',j))
    text(x(j,2),y(j,2),sprintf('%d',j))
end
hold off;
