% FEEC/Unicamp
% 28/05/2017
% Auxiliary functions
% factiv.m / calcv.m / calcc.m
%
function [v,c,w,y] = update_node(v,c,u,X,D,threshold2,j)
FIGURE = 0;
% disp('v');disp(v);
P = length(c);
r = length(D(1,:));
y = factiv(X*v,c); % subplot(111);plot(X*v,D,'*');hold on;[xs,ind] = sort(X*v);plot(xs,y(ind),'g');pause;
beta1 = 0;
beta2 = (y'*u)^2/(y'*y);
SC = abs(beta2-beta1)/beta2;
beta1 = beta2;
disp(sprintf('%d Initial=%g',j,beta2));
while SC > threshold2, % & beta2 < (1-threshold2),
	v = calcv(v,c,u,X);
	c = calcc(X*v,u,P);
	y = factiv(X*v,c);%[xs,ind] = sort(X*v);plot(xs,y(ind),'g');pause;
	beta2 = (y'*u)^2/(y'*y);
	disp(sprintf('%d Final=%g',j,beta2));
	SC = abs(beta2-beta1)/beta2;
	beta1 = beta2;
%	disp('SC');disp(SC);
end
% disp(beta2);
w = (y'*y)\y'*D;
y = factiv(X*v,c)*w;
if FIGURE == 1,
	figure(j);clf;
	for k=1:r,
		subplot(r,1,k);
		y1 = y(:,k);z = D(:,k)/norm(D(:,k));
		beta2 = 100*(y1'*z)^2/(y1'*y1);
		plot(X*v,D(:,k),'*g');hold on;[xs,ind] = sort(X*v);plot(xs,y1(ind),'r');
		if r > 1,
			title(sprintf('Neuron %d / Output %d / %g %%',j,k,beta2));
		else
			title(sprintf('Neuron %d / %g %%',j,beta2));
		end
		drawnow;% pause;
	end
end
